StrikedTypePayoff Class Reference

Intermediate class for payoffs based on a fixed strike. More...

`#include <ql/instruments/payoffs.hpp>`

Inheritance diagram for StrikedTypePayoff:
[legend]

## Payoff interface

Real | strike_
std::string | description () const
Real | strike () const
| StrikedTypePayoff (Option::Type type, Real strike)

## Additional Inherited Members

Public Types inherited from Payoff
typedef Real | argument_type
typedef Real | result_type
Public Member Functions inherited from TypePayoff
Option::Type | optionType () const
Public Member Functions inherited from Payoff
virtual std::string | name () const =0
virtual Real | operator() (Real price) const =0
virtual void | accept (AcyclicVisitor &)
Protected Member Functions inherited from TypePayoff
| TypePayoff (Option::Type type)
Protected Attributes inherited from TypePayoff
Option::Type | type_

## Detailed Description

Intermediate class for payoffs based on a fixed strike.